Loading...
Searching...
No Matches
etl::private_to_arithmetic::integral_accumulator< TValue > Struct Template Reference

Accumulate integrals. More...

`#include <to_arithmetic.h>`

## Public Member Functions

ETL_CONSTEXPR14 | integral_accumulator (etl::radix::value_type radix_, TValue maximum_)
ETL_NODISCARD ETL_CONSTEXPR14 bool | add (const char c)
ETL_NODISCARD ETL_CONSTEXPR14 bool | has_value () const
ETL_NODISCARD ETL_CONSTEXPR14 TValue | value () const
ETL_NODISCARD ETL_CONSTEXPR14 to_arithmetic_status | status () const

## Detailed Description

template<typename TValue>
struct etl::private_to_arithmetic::integral_accumulator< TValue >

Accumulate integrals.

The documentation for this struct was generated from the following file:

- include/etl/to_arithmetic.h